<template>
  <navbar></navbar>
  <div class="body">
    <h1 class="text-center mt-5 text-4xl font-bold">Subir Entrega</h1>
    <h1 class="text-center mt-8 text-3xl font-semibold">
      Tarea {{ response.tareaId }}
    </h1>
    <div class="text-sm breadcrumbs ml-12 mt-10">
  <ul>
    <li>
      <a @click="
          $router.push({
            path: elegirAsignaturaURL  
          })
        ">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" class="w-4 h-4 mr-2 stroke-current"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"></path></svg>
        Elegir Asignatura
      </a>
    </li> 
    <li>
      <a  @click="
          $router.push({
            path: listaTareasURL,
            query: {
              curso_id: this.$route.query.curso_id,
              asig_id:  this.$route.query.asig_id,     
            },
          })
        ">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" class="w-4 h-4 mr-2 stroke-current"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"></path></svg>
        Lista Tareas
      </a>
    </li> 
    <li>
      <a   @click="
          $router.push({
            path: detalleTareaURL,
            query: {
              curso_id: this.$route.query.curso_id,
              asig_id:  this.$route.query.asig_id,           
              tarea_id: this.$route.query.tarea_id,
            },
          })
        ">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" class="w-4 h-4 mr-2 stroke-current"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"></path></svg>
        Detalles Tarea
      </a>
    </li> 
  </ul>
</div>

      <div
        class="bg-accent ml-44 mt-20 rounded-3xl min-w-min h-10 w-3/12 text-center md:text-2xl text-xs font-bold"
      >
        <h1>{{ responseAsig.tipoAsignatura }}</h1>
      </div>
      <div class="bg-white rounded-3xl mr-44 ml-44" style="padding: 30px">
        <p
          class="bg-accent text-center rounded-xl md:text-2xl text-xs font-semibold"
        >
          {{ response.descTarea }}
        </p>
      </div>
      <div class="text-center mt-10 font-bold">
        <h1 class="text-bg-primary inline-flex mr-10">
          Fecha inicio : {{ response.fechInicio }} {{ response.horaInicio }}
        </h1>
        <h1 class="text-bg-primary inline-flex ml-10">
          Fecha termino : {{ response.fechTermino }} {{ response.horaTermino }}
        </h1>
      </div>


    <div class="text-center mt-12">
      <button
        type="submit"
        @click="
          $router.push({
            path: 'SubirTarea',
            query: {
              curso_id: route,
              asig_id: routeasign,
              tarea_id: queryTarea,
            },
          })
        "
        class="inline-flex mr-5 ml-5 justify-center rounded-md border border-transparent bg-accent py-2 px-4 text-sm font-medium text-white shadow-sm hover:bg-primary focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
      >
        Subir Entrega
      </button>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import navbar from '../../components/Navbar.vue'
export default {
  components: { navbar },
  name: "DetalleTareaEstudiante",

  data() {
    return {
      response: [],
      route: this.$route.query.curso_id,
      routeasign: this.$route.query.asig_id,
      queryTarea: this.$route.query.tarea_id,
      msg: "",
      id: "",
      descripcion: "",
      fechInicio: "",
      fechTermino: "",
      horaInicio: "",
      horaTermino: "",
      responseAsig: [],
      asig: [],
      elegirAsignaturaURL:"",
      listaTareasURL:"",
      detalleTareaURL:""
    };
  },
  mounted() {
    const peticion = this.$route.query.tarea_id;
    let vue = this;
    const peticionAsig = this.$route.query.asig_id;

    axios
      .get("tarea/mostrarTarea", {
        headers: {
          Authorization: localStorage.getItem("auth"),
        },
      })
      .then((response) => {
        vue.response = response.data;
        vue.response.forEach(function (valor, indice, array) {
          if (peticion == response.data[indice].tareaId) {
            vue.response.tareaId = response.data[indice].tareaId;
            vue.response.descTarea = response.data[indice].descTarea;
            vue.response.fechInicio = response.data[
              indice
            ].fechInicio.substring(0, 10);
            vue.response.fechTermino = response.data[
              indice
            ].fechTermino.substring(0, 10);
            vue.response.horaInicio = response.data[indice].horaInicio;
            vue.response.horaTermino = response.data[indice].horaTermino;
          }
        });

        this.msg = response.data;
      });
    axios
      .get("administracionCursos/cursoAlumno/" + localStorage.getItem("userId"), {
        headers: {
          Authorization: localStorage.getItem("auth"),
        },
      })
      .then((res) => {
        this.msg = res.data;
        vue.asig = res.data.asignaturas;
        vue.asig.forEach(function (valor, indice, array) {
          if (peticionAsig == res.data.asignaturas[indice].asigId) {
            vue.responseAsig = res.data.asignaturas[indice];
          }
        });
        this.fechaEntrega = this.fecha + this.hora;
      })
      .catch((err) => {
        console.log("index not defined");
      });
      axios
        .get("cuentas/usuario", {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((response) => {
          if (response.data.rol == "DOCENTE") {
            this.detalleTareaURL =
               "/DetalleTareaDocente";
            this.listaTareasURL=
              "/ListaTareasDocente";
            this.elegirAsignaturaURL=
              "/ElegirAsignatura"
          } else if (response.data.rol == "ALUMNO") {
            this.detalleTareaURL =
            "/DetalleTareaEstudiante";
            this.listaTareasURL=
              "/ListaTareasEstudiante";
            this.elegirAsignaturaURL=
              "/ElegirAsignaturaAlumno"
          }
        });
  },

  methods: {
    registrarTarea() {},
  },
};
</script>

<style>
.body {
  height: 100vh;
}
</style>
